Bug 961583 - foreman smart proxy not setup/enabled in katello-configure
foreman smart proxy not setup/enabled in katello-configure
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 22:37 EDT by Corey Welton
Modified: 2014-06-19 15:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 17:17:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-05-09 22:37:13 EDT
Description of problem:
when user accesses foreman portion of product, he is greeted with a slew of information regarding setting up various aspects of the foreman product, including smart proxies.

The smart proxy for katello should be pre-configured and ready for use the first time the user accesses the foreman side of things. This should probably be done with katello-configure

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  install katello+foreman product
2.  access /foreman, logging in if necessary
3.  Observe main view, particularly the section indicating that user needs to set up proxies
4.  Go to More > Configuration > Smart Proxies
5.  Observe lack of any proxies.
  
Actual results:

No smart proxies for katello configured upon install

Expected results:
Smart proxies exist.

Additional info:
Comment 1 Justin Sherrill 2013-05-15 15:35:54 EDT
I'm not sure it makes sense to auto-setup a smart proxy, as there are network infrastructure implications involved.  A user (maybe most users?) may not want a smart proxy installed by default on the same machine as foreman.
Comment 3 Dominic Cleal 2013-09-18 14:43:32 EDT
I agree we should install a basic smart proxy and puppetmaster centrally, which also gives us the ability to bootstrap Satellite nodes.

I'm going to bump this to MDP3 though, as it'll be much easier once we have a kafo-based katello-configure.  For now only the node installer is kafo-based, so integrating the two sets of installer modules before then will be much trickier.
Comment 5 Bryan Kearney 2014-01-08 17:17:53 EST
I am gonna punt this for now. Lets go with the current two installer now, and we can combine later.

Note You need to log in before you can comment on or make changes to this bug.